Module jdk.xml.dom
Package org.w3c.dom.html

## Interface HTMLFrameElement

All Superinterfaces:
  `Element`, `HTMLElement`, `Node`

    public interface HTMLFrameElement
    extends HTMLElement

Create a frame. See the FRAME element definition in HTML 4.0.

See also the Document Object Model (DOM) Level 2 Specification.

Since:
  1.4, DOM Level 2

### Field Summary

### Fields declared in interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

All Methods Instance Methods Abstract Methods
`Document` `getContentDocument()` The document this frame contains, if there is any and it is available, or `null` otherwise.
`String` `getFrameBorder()` Request frame borders.
`String` `getLongDesc()` URI designating a long description of this image or frame.
`String` `getMarginHeight()` Frame margin height, in pixels.
`String` `getMarginWidth()` Frame margin width, in pixels.
`String` `getName()` The frame name (object of the `target` attribute).
`boolean` `getNoResize()` When true, forbid user from resizing frame.
`String` `getScrolling()` Specify whether or not the frame should have scrollbars.
`String` `getSrc()` A URI designating the initial frame contents.
`void` `setFrameBorder​(String frameBorder)`
`void` `setLongDesc​(String longDesc)`
`void` `setMarginHeight​(String marginHeight)`
`void` `setMarginWidth​(String marginWidth)`
`void` `setName​(String name)`
`void` `setNoResize​(boolean noResize)`
`void` `setScrolling​(String scrolling)`
`void` `setSrc​(String src)`

### Methods declared in interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods declared in interface org.w3c.dom.html.HTMLElement

`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

### Methods declared in interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Method Detail

#### getFrameBorder

    String getFrameBorder()

Request frame borders. See the frameborder attribute definition in HTML 4.0.

#### setFrameBorder

    void setFrameBorder​(String frameBorder)

#### getLongDesc

    String getLongDesc()

URI designating a long description of this image or frame. See the longdesc attribute definition in HTML 4.0.

#### setLongDesc

    void setLongDesc​(String longDesc)

#### getMarginHeight

    String getMarginHeight()

Frame margin height, in pixels. See the marginheight attribute definition in HTML 4.0.

#### setMarginHeight

    void setMarginHeight​(String marginHeight)

#### getMarginWidth

    String getMarginWidth()

Frame margin width, in pixels. See the marginwidth attribute definition in HTML 4.0.

#### setMarginWidth

    void setMarginWidth​(String marginWidth)

#### getName

    String getName()

The frame name (object of the `target` attribute). See the name attribute definition in HTML 4.0.

#### setName

    void setName​(String name)

#### getNoResize

    boolean getNoResize()

When true, forbid user from resizing frame. See the noresize attribute definition in HTML 4.0.

#### setNoResize

    void setNoResize​(boolean noResize)

#### getScrolling

    String getScrolling()

Specify whether or not the frame should have scrollbars. See the scrolling attribute definition in HTML 4.0.

#### setScrolling

    void setScrolling​(String scrolling)

#### getSrc

    String getSrc()

A URI designating the initial frame contents. See the src attribute definition in HTML 4.0.

#### setSrc

    void setSrc​(String src)

#### getContentDocument

    Document getContentDocument()

The document this frame contains, if there is any and it is available, or `null` otherwise.

Since:
  1.4, DOM Level 2